"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var theme_1 = require("@atlaskit/theme");
/** Note:
 * Lozenge does not support dark mode at the moment.
 * Hence, color values are the same.
 */
exports.defaultBackgroundColor = {
    default: { light: theme_1.colors.N40, dark: theme_1.colors.N40 },
    inprogress: { light: theme_1.colors.B50, dark: theme_1.colors.B50 },
    moved: { light: theme_1.colors.Y75, dark: theme_1.colors.Y75 },
    new: { light: theme_1.colors.P50, dark: theme_1.colors.P50 },
    removed: { light: theme_1.colors.R50, dark: theme_1.colors.R50 },
    success: { light: theme_1.colors.G50, dark: theme_1.colors.G50 },
};
exports.defaultTextColor = {
    default: { light: theme_1.colors.N500, dark: theme_1.colors.N500 },
    inprogress: { light: theme_1.colors.B500, dark: theme_1.colors.B500 },
    moved: { light: theme_1.colors.N800, dark: theme_1.colors.N800 },
    new: { light: theme_1.colors.P500, dark: theme_1.colors.P500 },
    removed: { light: theme_1.colors.R500, dark: theme_1.colors.R500 },
    success: { light: theme_1.colors.G500, dark: theme_1.colors.G500 },
};
exports.boldBackgroundColor = {
    default: { light: theme_1.colors.N500, dark: theme_1.colors.N500 },
    inprogress: { light: theme_1.colors.B400, dark: theme_1.colors.B400 },
    moved: { light: theme_1.colors.Y500, dark: theme_1.colors.Y500 },
    new: { light: theme_1.colors.P400, dark: theme_1.colors.P400 },
    removed: { light: theme_1.colors.R400, dark: theme_1.colors.R400 },
    success: { light: theme_1.colors.G400, dark: theme_1.colors.G400 },
};
exports.boldTextColor = {
    default: { light: theme_1.colors.N0, dark: theme_1.colors.N0 },
    inprogress: { light: theme_1.colors.N0, dark: theme_1.colors.N0 },
    moved: { light: theme_1.colors.N800, dark: theme_1.colors.N800 },
    new: { light: theme_1.colors.N0, dark: theme_1.colors.N0 },
    removed: { light: theme_1.colors.N0, dark: theme_1.colors.N0 },
    success: { light: theme_1.colors.N0, dark: theme_1.colors.N0 },
};
exports.Theme = theme_1.createTheme(function (_a) {
    var appearance = _a.appearance, isBold = _a.isBold, maxWidth = _a.maxWidth;
    return (tslib_1.__assign({}, (typeof appearance === 'object'
        ? tslib_1.__assign({ backgroundColor: (isBold
                ? exports.boldBackgroundColor
                : exports.defaultBackgroundColor).default.light, textColor: (isBold ? exports.boldTextColor : exports.defaultTextColor).default.light }, appearance) : {
        backgroundColor: (isBold
            ? exports.boldBackgroundColor[appearance]
            : exports.defaultBackgroundColor[appearance]).light,
        textColor: (isBold
            ? exports.boldTextColor[appearance]
            : exports.defaultTextColor[appearance]).light,
    }), { maxWidth: maxWidth }));
});
//# sourceMappingURL=theme.js.map